FROM ubuntu:latest

RUN apt-get update && apt-get install -y python3-pip python3-venv unzip coreutils dos2unix

RUN python3 -m venv /opt/venv
ENV PATH="/opt/venv/bin:$PATH"

RUN pip install numpy tensorflow scikit-learn kaggle pandas

WORKDIR /app

COPY ./create-dataset.sh ./
RUN dos2unix ./create-dataset.sh
COPY ./model.py ./
COPY ./predict.py ./
